Bug 64305 - dbf2mysql -q option broken with mysql323-server and above
Summary: dbf2mysql -q option broken with mysql323-server and above
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris D.Faulhaber
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-15 17:40 UTC by Travis Whitton
Modified: 2005-09-17 17:29 UTC (History)
0 users

See Also:


Attachments
patch-ab (4.39 KB, text/plain)
2004-03-15 17:40 UTC, Travis Whitton
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Travis Whitton 2004-03-15 17:40:16 UTC
The existing dbf2mysql does not allow quick inserts(the -q) flag, which offers
up to a 2.5X speedup. This is because Versions of mysql greater than 3.23.49
and greater than 4.0.2 require the MYSQL_OPT_LOCAL_INFILE option in all clients
attempting to load data from a file. I'm attaching a new patch-ab, which allows
dbf2mysql to function properly with the mysql323-server port and any greater
version. The patch adds a -L option to tell dbf2mysql to specifically allow
local inserts. I have merged the new patch-ab with the existing patch-ab since
section 4.4 of the FreeBSD porters handbook states, "you should avoid having
more than one patch fix the same file". There aren't any conflicts with the
merge.

Note, I am not the author of this patch. I simply took the patch from the
Debian package of dbf2mysql and merged it with the FreeBSD patch-ab. The
original author is credited in the diff. I have tested the new -L feature
extensively, and it works.

Fix: Apply the following patch to fix the problem.
How-To-Repeat: Attempt to use the -q flag with dbf2mysql and a mysql server with version
greater than 3.23.49.
Comment 1 Kirill Ponomarev freebsd_committer 2004-03-15 20:13:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jedgar

Over to maintainer.
Comment 2 Travis Whitton 2004-03-15 22:03:56 UTC
Oops! I accidentally posted the unmerged patch, which clobbers the 
original patch-ab. The merged patch is available here:

http://ppb-envlabs.com/patches/dbf2mysql/patch-ab

Thanks,
Travis
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2004-06-25 00:07:55 UTC
State Changed
From-To: open->feedback

Maintainer, has there been any progress on this one?
Comment 4 Pav Lucistnik freebsd_committer 2005-09-17 17:28:53 UTC
State Changed
From-To: feedback->closed

Committed, thanks!